# $Revision: 1.9 $, $Date: 2002/09/30 00:46:16 $
%include	/usr/lib/rpm/macros.perl
Summary:	System for using free software printer drivers
Summary(pl):	System umoliwiajcy uywanie darmowych sterownikw drukarek
Name:		foomatic
Version:	20020719
Release:	4
License:	GPL
Group:		Applications/System
URL:		http://www.linuxprinting.org/foomatic.html
Source0:	http://www.linuxprinting.org/download/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	perl-devel
BuildRequires:	libxml2-devel
Provides:	perl(Foomatic::GrovePath)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Foomatic is a system for using free software printer drivers with
common spoolers on Unix. It supports LPD, PDQ, CUPS, the VA Linux
LPD, LPRng, PPR, and direct spooler-less printing and any free
software driver for which execution data has been entered in the
database.

%description -l pl
Foomatic to system pozwalajcy na uywanie wolnodostpnych
sterownikw drukarek z popularnymi uniksowymi serwerami wydrukw.
Obsuguje LPD, PDQ, CUPS, VA Linux LPD, LPRng, PPR i bezporednie
drukowanie bez kolejkowania oraz dowolny wolnodostpny sterownik,
dla ktrego parametry zostay wprowadzone do bazy danych.

%package gswrapper
Summary:	foomatic wrapper for ghostscript
Summary(pl):	wrapper dla ghostscripta do uycia z foomatic
Group:		Applications/System
Requires:	ghostscript
Requires:	a2ps

%description gswrapper
A little Ghostscript regularization script. It massages arguments to
make Ghostscript execute properly as a filter, with output on stdout
and errors etc on stderr.

%description gswrapper -l pl
May skrypt uzdatniajcy Ghostscripta. Obrabia parametry tak, eby
Ghostscript dziaa waciwie jako filtr, generujc dane wyjciowe na
stdout, a bdy na stderr.

%package -n cups-foomatic
Summary:	cupsomatic - CUPS filter
Summary(pl):	cupsomatic - filtr do CUPS
Group:		Applications/System
Requires:	cups
Obsoletes:	foomatic-cups

%description -n cups-foomatic
Cupsomatic is intended to be used as a CUPS filter for printers
defined in a PPD file (CUPS-O-Matic or PPD-O-Matic) obtained from the
Linux Printing Database.

%description -n cups-foomatic -l pl
Cupsomatic jest filtrem do CUPS dla drukarek zdefiniowanych w pliku
PPD (CUPS-O-Matic lub PPD-O-Matic), uzyskanym z Linux Printing
Database.

%package ppr
Summary:	ppromatic - PPR interface
Summary(pl):	ppromatic - interfejs do PPR
Group:		Applications/System
Requires:	ppr

%description ppr
ppromatic is intended to be used as a PPR interface for printers
defined in a PPD-O-Matic PPD file obtained from the Linux Printing
Database.

%description ppr -l pl
ppromatic jest interfejsem do PPR dla drukarek zdefiniowanych w pliku
PPD (PPD-O-Matic) uzyskanym z Linux Printing Database.

%prep
%setup -q

%build
aclocal
%{__autoconf}

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR="$RPM_BUILD_ROOT"
mv -f $RPM_BUILD_ROOT$RPM_BUILD_ROOT%{_libdir}/perl5 $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%doc ChangeLog TODO README USAGE

%{_mandir}/man1/directomatic*
%{_mandir}/man1/foomatic-combo-xml*
%{_mandir}/man1/foomatic-compiledb*
%{_mandir}/man1/foomatic-configure*
%{_mandir}/man1/foomatic-datafile*
%{_mandir}/man1/foomatic-perl-data*
%{_mandir}/man1/foomatic-printjob*

%{_mandir}/man8/*

%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/foomatic

%attr(755,root,root) %{_bindir}/foomatic-printjob
%attr(755,root,root) %{_bindir}/foomatic-configure
%attr(755,root,root) %{_bindir}/foomatic-combo-xml
%attr(755,root,root) %{_bindir}/foomatic-perl-data
%attr(755,root,root) %{_bindir}/directomatic
%attr(755,root,root) %{_bindir}/foomatic-datafile
%attr(755,root,root) %{_bindir}/foomatic-compiledb

%attr(755,root,root) %{_sbindir}/foomatic-kitload
%attr(755,root,root) %{_sbindir}/foomatic-ppdload
%attr(755,root,root) %{_sbindir}/foomatic-getpjloptions
%attr(755,root,root) %{_sbindir}/foomatic-addpjloptions
%attr(755,root,root) %{_sbindir}/foomatic-preferred-driver
%attr(755,root,root) %{_sbindir}/foomatic-fix-xml
%attr(755,root,root) %{_sbindir}/lpdomatic

%{perl_sitelib}/Foomatic
%{perl_sitearch}/auto/Foomatic

%{_datadir}/foomatic

%files gswrapper
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/foomatic-gswrapper
%{_mandir}/man1/foomatic-gswrapper*

%files -n cups-foomatic
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/cups/filter/cupsomatic

#%files ppr
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/ppr/interfaces/ppromatic

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: foomatic.spec,v $
Revision 1.9  2002/09/30 00:46:16  kloczek
- release 4,
- commented ppr subpackage (ppr must be prepared first),
- renamed foomatic-cups to cups-foomatic.

Revision 1.8  2002/09/17 19:31:41  ankry
- added Provides: required by current rpm-perlprov, release 3

Revision 1.7  2002/09/17 16:52:00  kloczek
- more macros and autogenerate perl module dependences.

Revision 1.6  2002/09/05 21:06:33  adgor
- Removed "Requires: %%{name} = %%{version}" from subpackages
- Release 2

Revision 1.5  2002/08/09 10:39:42  michuz
- updated to 20020719
- fixed BR (STBR)

Revision 1.4  2002/07/21 15:13:48  qwark
added some more BR - please take a look at it

Revision 1.3  2002/07/19 10:24:18  qwark
added libxml2-devel to BR

Revision 1.2  2002/06/10 08:49:53  qboosh
- missing descriptions

Revision 1.1  2002/06/07 00:25:49  adgor
- Initial Release
